<%= render FormElements::FieldsetComponent.new(
      title: @title,
      description: @description,
      field_name: "setting_#{@key.to_s}",
      resettable: @resettable
    ) do %>
  <%= method("#{@type}_field").call :setting, @key,
    value: Setting.public_send(@key),
    data: {
      :'default-value' => Setting.get_field(@key)[:default]
    },
    class: "w-full" %>
<% end %>
